From c445fbefa327edb7518da88c2783c17e6715a572 Mon Sep 17 00:00:00 2001
From: Xing Guo <higuoxing@gmail.com>
Date: Fri, 10 May 2024 10:46:04 +0800
Subject: [PATCH v4 3/3] Minor improvement to connection initialization for
 worker_spi.

---
 src/test/modules/worker_spi/worker_spi.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/src/test/modules/worker_spi/worker_spi.c b/src/test/modules/worker_spi/worker_spi.c
index 7e1042f4ab..23f4b165dc 100644
--- a/src/test/modules/worker_spi/worker_spi.c
+++ b/src/test/modules/worker_spi/worker_spi.c
@@ -167,11 +167,8 @@ worker_spi_main(Datum main_arg)
 	BackgroundWorkerUnblockSignals();
 
 	/* Connect to our database */
-	if (OidIsValid(dboid))
-		BackgroundWorkerInitializeConnectionByOid(dboid, roleoid, flags);
-	else
-		BackgroundWorkerInitializeConnection(worker_spi_database,
-											 worker_spi_role, flags);
+	Assert(OidIsValid(dboid));
+	BackgroundWorkerInitializeConnectionByOid(dboid, roleoid, flags);
 
 	/*
 	 * Disable parallel query for workers started with BYPASS_ALLOWCONN or
-- 
2.45.0

